Search Unity

  1. Unity 6 Preview is now available. To find out what's new, have a look at our Unity 6 Preview blog post.
    Dismiss Notice
  2. Unity is excited to announce that we will be collaborating with TheXPlace for a summer game jam from June 13 - June 19. Learn more.
    Dismiss Notice

Bug Empty Error on Unity Linux

Discussion in 'Linux' started by ValterGames, Dec 18, 2022.

  1. ValterGames

    ValterGames

    Joined:
    Feb 27, 2021
    Posts:
    3
    Hi everyone! I change Ubuntu version from 20.04 until 22.04 and install Unity. When i open project i see a empty errors. On all scripts i see "the associated script cannot be loaded please fix any compile errors" I install dotnet 7.0 on my PC, but it didn't fix. Help please!
    upload_2022-12-18_12-8-34.png
     
    Last edited: Dec 18, 2022
    Murilovsky likes this.
  2. ValterGames

    ValterGames

    Joined:
    Feb 27, 2021
    Posts:
    3
    Also i reinstall Unity, but it didn't fix too.
     
    Murilovsky likes this.
  3. tylerinthezoo

    tylerinthezoo

    Unity Technologies

    Joined:
    Jun 15, 2022
    Posts:
    96
    could you attach the editor log on your machine under ~/.config/unity3d? thanks!
     
  4. karliss_coldwild

    karliss_coldwild

    Joined:
    Oct 1, 2020
    Posts:
    605
    At least for me it happens with Unity 2020.3.18 and workaround is to start with "DOTNET_SYSTEM_GLOBALIZATION_INVARIANT=1". Doesn't happen with Unity 2021.3.15.
     
  5. tylerinthezoo

    tylerinthezoo

    Unity Technologies

    Joined:
    Jun 15, 2022
    Posts:
    96
    thanks for helping. Upgrade to newer versions are encouraged. as far as I know 2020.3.18 is not a LTS anymore and won't receive any patches.
     
  6. Murilovsky

    Murilovsky

    Joined:
    Jun 17, 2019
    Posts:
    2
    The workaround doesn't seem to work, unfortunately. Tried on Fedora 37 and 38 and on Ubuntu 23.04
    The error persists in Unity 2020.3.47f1 and seems related to some ICU package
     
  7. tylerinthezoo

    tylerinthezoo

    Unity Technologies

    Joined:
    Jun 15, 2022
    Posts:
    96
    please upgrade unity to the LTS. 2020.3 no long receives support.
     
  8. Marcos-Elias

    Marcos-Elias

    Joined:
    Nov 1, 2014
    Posts:
    159
    The possible solution, it works for me:

    I faced it with Ubuntu here, and after many days lost I got this file:

    libssl1.0.0_1.0.2n-1ubuntu5_amd64.deb

    from
    http://security.ubuntu.com/ubuntu/pool/main/o/openssl1.0/

    You can install it with sudo dpkg -i libssl1.0.0_1.0.2n-1ubuntu5_amd64.deb

    It fixed it for me, now I am using Unity 2020.3 on Ubuntu without any serious problems (at least for desktop; for mobile I got stuck with Java but that could be another problem).